"""
 functions to match a bunch of fragment descriptors from a file

No user-servicable parts inside.  ;-)

"""
from __future__ import annotations
import os as os
from rdkit import Chem
from rdkit import RDConfig
__all__ = ['Chem', 'RDConfig', 'defaultPatternFileName', 'fn', 'fns', 'name', 'os']
def _CountMatches(mol, patt, unique = True):
    ...
def _LoadPatterns(fileName = None):
    ...
defaultPatternFileName: str = '/Users/runner/work/rdkit-pypi/rdkit-pypi/build/temp.macosx-10.9-x86_64-cpython-312/rdkit_install/share/RDKit/Data/FragmentDescriptors.csv'
fn = None
fns: list  # value = [('fr_C_O', <function _LoadPatterns.<locals>.<lambda> at 0x111bea840>), ('fr_C_O_noCOO', <function _LoadPatterns.<locals>.<lambda> at 0x111bea8e0>), ('fr_Al_OH', <function _LoadPatterns.<locals>.<lambda> at 0x111bea980>), ('fr_Ar_OH', <function _LoadPatterns.<locals>.<lambda> at 0x111beaa20>), ('fr_methoxy', <function _LoadPatterns.<locals>.<lambda> at 0x111beaac0>), ('fr_oxime', <function _LoadPatterns.<locals>.<lambda> at 0x111beab60>), ('fr_ester', <function _LoadPatterns.<locals>.<lambda> at 0x111beac00>), ('fr_Al_COO', <function _LoadPatterns.<locals>.<lambda> at 0x111beaca0>), ('fr_Ar_COO', <function _LoadPatterns.<locals>.<lambda> at 0x111bead40>), ('fr_COO', <function _LoadPatterns.<locals>.<lambda> at 0x111beade0>), ('fr_COO2', <function _LoadPatterns.<locals>.<lambda> at 0x111beae80>), ('fr_ketone', <function _LoadPatterns.<locals>.<lambda> at 0x111beaf20>), ('fr_ether', <function _LoadPatterns.<locals>.<lambda> at 0x111beafc0>), ('fr_phenol', <function _LoadPatterns.<locals>.<lambda> at 0x111beb060>), ('fr_aldehyde', <function _LoadPatterns.<locals>.<lambda> at 0x111beb100>), ('fr_quatN', <function _LoadPatterns.<locals>.<lambda> at 0x111beb1a0>), ('fr_NH2', <function _LoadPatterns.<locals>.<lambda> at 0x111beb240>), ('fr_NH1', <function _LoadPatterns.<locals>.<lambda> at 0x111beb2e0>), ('fr_NH0', <function _LoadPatterns.<locals>.<lambda> at 0x111beb380>), ('fr_Ar_N', <function _LoadPatterns.<locals>.<lambda> at 0x111beb420>), ('fr_Ar_NH', <function _LoadPatterns.<locals>.<lambda> at 0x111beb4c0>), ('fr_aniline', <function _LoadPatterns.<locals>.<lambda> at 0x111beb560>), ('fr_Imine', <function _LoadPatterns.<locals>.<lambda> at 0x111beb600>), ('fr_nitrile', <function _LoadPatterns.<locals>.<lambda> at 0x111beb6a0>), ('fr_hdrzine', <function _LoadPatterns.<locals>.<lambda> at 0x111beb740>), ('fr_hdrzone', <function _LoadPatterns.<locals>.<lambda> at 0x111beb7e0>), ('fr_nitroso', <function _LoadPatterns.<locals>.<lambda> at 0x111beb880>), ('fr_N_O', <function _LoadPatterns.<locals>.<lambda> at 0x111beb920>), ('fr_nitro', <function _LoadPatterns.<locals>.<lambda> at 0x111beb9c0>), ('fr_azo', <function _LoadPatterns.<locals>.<lambda> at 0x111beba60>), ('fr_diazo', <function _LoadPatterns.<locals>.<lambda> at 0x111bebb00>), ('fr_azide', <function _LoadPatterns.<locals>.<lambda> at 0x111bebba0>), ('fr_amide', <function _LoadPatterns.<locals>.<lambda> at 0x111bebc40>), ('fr_priamide', <function _LoadPatterns.<locals>.<lambda> at 0x111bebce0>), ('fr_amidine', <function _LoadPatterns.<locals>.<lambda> at 0x111bebd80>), ('fr_guanido', <function _LoadPatterns.<locals>.<lambda> at 0x111bebe20>), ('fr_Nhpyrrole', <function _LoadPatterns.<locals>.<lambda> at 0x111bebec0>), ('fr_imide', <function _LoadPatterns.<locals>.<lambda> at 0x111bebf60>), ('fr_isocyan', <function _LoadPatterns.<locals>.<lambda> at 0x111c2c040>), ('fr_isothiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x111c2c0e0>), ('fr_thiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x111c2c180>), ('fr_halogen', <function _LoadPatterns.<locals>.<lambda> at 0x111c2c220>), ('fr_alkyl_halide', <function _LoadPatterns.<locals>.<lambda> at 0x111c2c2c0>), ('fr_sulfide', <function _LoadPatterns.<locals>.<lambda> at 0x111c2c360>), ('fr_SH', <function _LoadPatterns.<locals>.<lambda> at 0x111c2c400>), ('fr_C_S', <function _LoadPatterns.<locals>.<lambda> at 0x111c2c4a0>), ('fr_sulfone', <function _LoadPatterns.<locals>.<lambda> at 0x111c2c540>), ('fr_sulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x111c2c5e0>), ('fr_prisulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x111c2c680>), ('fr_barbitur', <function _LoadPatterns.<locals>.<lambda> at 0x111c2c720>), ('fr_urea', <function _LoadPatterns.<locals>.<lambda> at 0x111c2c7c0>), ('fr_term_acetylene', <function _LoadPatterns.<locals>.<lambda> at 0x111c2c860>), ('fr_imidazole', <function _LoadPatterns.<locals>.<lambda> at 0x111c2c900>), ('fr_furan', <function _LoadPatterns.<locals>.<lambda> at 0x111c2c9a0>), ('fr_thiophene', <function _LoadPatterns.<locals>.<lambda> at 0x111c2ca40>), ('fr_thiazole', <function _LoadPatterns.<locals>.<lambda> at 0x111c2cae0>), ('fr_oxazole', <function _LoadPatterns.<locals>.<lambda> at 0x111c2cb80>), ('fr_pyridine', <function _LoadPatterns.<locals>.<lambda> at 0x111c2cc20>), ('fr_piperdine', <function _LoadPatterns.<locals>.<lambda> at 0x111c2ccc0>), ('fr_piperzine', <function _LoadPatterns.<locals>.<lambda> at 0x111c2cd60>), ('fr_morpholine', <function _LoadPatterns.<locals>.<lambda> at 0x111c2ce00>), ('fr_lactam', <function _LoadPatterns.<locals>.<lambda> at 0x111c2cea0>), ('fr_lactone', <function _LoadPatterns.<locals>.<lambda> at 0x111c2cf40>), ('fr_tetrazole', <function _LoadPatterns.<locals>.<lambda> at 0x111c2cfe0>), ('fr_epoxide', <function _LoadPatterns.<locals>.<lambda> at 0x111c2d080>), ('fr_unbrch_alkane', <function _LoadPatterns.<locals>.<lambda> at 0x111c2d120>), ('fr_bicyclic', <function _LoadPatterns.<locals>.<lambda> at 0x111c2d1c0>), ('fr_benzene', <function _LoadPatterns.<locals>.<lambda> at 0x111c2d260>), ('fr_phos_acid', <function _LoadPatterns.<locals>.<lambda> at 0x111c2d300>), ('fr_phos_ester', <function _LoadPatterns.<locals>.<lambda> at 0x111c2d3a0>), ('fr_nitro_arom', <function _LoadPatterns.<locals>.<lambda> at 0x111c2d440>), ('fr_nitro_arom_nonortho', <function _LoadPatterns.<locals>.<lambda> at 0x111c2d4e0>), ('fr_dihydropyridine', <function _LoadPatterns.<locals>.<lambda> at 0x111c2d580>), ('fr_phenol_noOrthoHbond', <function _LoadPatterns.<locals>.<lambda> at 0x111c2d620>), ('fr_Al_OH_noTert', <function _LoadPatterns.<locals>.<lambda> at 0x111c2d6c0>), ('fr_benzodiazepine', <function _LoadPatterns.<locals>.<lambda> at 0x111c2d760>), ('fr_para_hydroxylation', <function _LoadPatterns.<locals>.<lambda> at 0x111c2d800>), ('fr_allylic_oxid', <function _LoadPatterns.<locals>.<lambda> at 0x111c2d8a0>), ('fr_aryl_methyl', <function _LoadPatterns.<locals>.<lambda> at 0x111c2d940>), ('fr_Ndealkylation1', <function _LoadPatterns.<locals>.<lambda> at 0x111c2d9e0>), ('fr_Ndealkylation2', <function _LoadPatterns.<locals>.<lambda> at 0x111c2db20>), ('fr_alkyl_carbamate', <function _LoadPatterns.<locals>.<lambda> at 0x111c2da80>), ('fr_ketone_Topliss', <function _LoadPatterns.<locals>.<lambda> at 0x111c2dbc0>), ('fr_ArN', <function _LoadPatterns.<locals>.<lambda> at 0x111c2dc60>), ('fr_HOCCN', <function _LoadPatterns.<locals>.<lambda> at 0x111c2dd00>)]
name: str = 'fr_HOCCN'
